This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1023638 - [RFE] Change location of volume configuration files
[RFE] Change location of volume configuration files
Status: ASSIGNED
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vijay Bellur
: RFE, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-26 08:02 EDT by Dean Bruhn
Modified: 2016-01-11 03:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dean Bruhn 2013-10-26 08:02:53 EDT
Description of problem:
Currently the gluster config files exist @ /var/lib/glusterd, the /var directory is prone to overruns, it might be a good idea to change the configuration files storage to /etc/glusterd to avoid this. 

Alternately the installation documentation should at least warn of this possibility and suggest keeping the configuration files on an alternate partition/storage location so the if the gluster log's become chatty, it doesn't compound an existing issue.  

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Harshavardhana 2013-10-29 12:54:59 EDT
(In reply to Dean Bruhn from comment #0)
> Description of problem:
> Currently the gluster config files exist @ /var/lib/glusterd, the /var
> directory is prone to overruns, it might be a good idea to change the
> configuration files storage to /etc/glusterd to avoid this. 
> 
> Alternately the installation documentation should at least warn of this
> possibility and suggest keeping the configuration files on an alternate
> partition/storage location so the if the gluster log's become chatty, it
> doesn't compound an existing issue.  

would you explain more about "overruns" ?
Comment 2 Dean Bruhn 2013-10-29 13:31:55 EDT
By overrun, I mean the log files can fill the partition up, and if the partition becomes full the configuration files become corrupted. I have had instances where a mnt having self healing issues has created a 20gb log file over night, and a rebalance log file has been 11gb or better. 

Both edge cases, but I have had a production system go down 3+ times because of the issue.
Comment 3 Joe Julian 2013-10-29 13:32:26 EDT
/var/log is a common management issue. You need to be aware of your logs and rotate and them as needed.

/var/lib is the appropriate directory for "application state" according to the Filesystem Hierarchy Standard and state data is what's in /var/lib/glusterd, not editable configuration files.

What I always do is make /var/log it's own partition to mitigate the issues you're concerned with.
Comment 4 Kaleb KEITHLEY 2015-12-08 07:21:38 EST
Will we ever change this? If not it should be closed.

Note You need to log in before you can comment on or make changes to this bug.